## com.arsdigita.cms.docmgr.ui.authoring
Class DocumentPropertiesStep.FileFormatter

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.authoring.DocumentPropertiesStep.FileFormatter

All Implemented Interfaces:
  com.arsdigita.toolbox.ui.DomainObjectPropertySheet.AttributeFormatter

Enclosing class:
  DocumentPropertiesStep

public static class DocumentPropertiesStep.FileFormatter
extends Object
implements com.arsdigita.toolbox.ui.DomainObjectPropertySheet.AttributeFormatter

Constructor Summary
`DocumentPropertiesStep.FileFormatter()`
`DocumentPropertiesStep.FileFormatter(String def)`

Method Summary
`String` `format(com.arsdigita.domain.DomainObject obj, String attribute, com.arsdigita.bebop.PageState state)`
`String` `getDefaultString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentPropertiesStep.FileFormatter

    public DocumentPropertiesStep.FileFormatter()

### DocumentPropertiesStep.FileFormatter

    public DocumentPropertiesStep.FileFormatter(String def)

Method Detail

### getDefaultString

    public String getDefaultString()

### format

    public String format(com.arsdigita.domain.DomainObject obj,
                         String attribute,
                         com.arsdigita.bebop.PageState state)

  Specified by:
    `format` in interface `com.arsdigita.toolbox.ui.DomainObjectPropertySheet.AttributeFormatter`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC